%define dist Readonly-XS

Name: perl-%dist
Version: 1.04
Release: alt1

Summary: Companion module for perl-Readonly
License: Perl
Group: Development/Perl

URL: %CPAN %dist
Source: http://www.cpan.org/modules/by-module/Readonly/%dist-%version.tar.gz

# Automatically added by buildreq on Wed Jul 11 2007
BuildRequires: perl-devel

# This module is speed buster for perl-Readonly and have no use without it.
Requires: perl-Readonly

# Our perl module requirements finder can not cope with this:
%add_findreq_skiplist */Readonly/XS.pm
# ...so we need to put it manually:
Requires: perl(XSLoader.pm), perl(warnings.pm)

%description
Readonly::XS is a companion module for Readonly, to speed up read-only
scalar variables.

%prep
%setup -n %dist-%version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%perl_vendor_archlib/Readonly
%perl_vendor_autolib/Readonly
%perl_vendor_man3dir/*
%exclude /.perl.req

%changelog
* Wed Jul 11 2007 Victor Forsyuk <force@altlinux.org> 1.04-alt1
- Initial build.
